## sn 0.3-5

=== DESCRIPTION ===
Package: sn
Version: 0.3-5
Date: 2006-01-15
Title: The skew-normal and skew-t distributions
Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 1.0.1), mvtnorm
Description: Functions for manipulating skew-normal and skew-t probability 
  distributions, and for fitting them to data, in the scalar and in the 
  multivariate case.
License: GPL Version 2 or later.
URL: http://azzalini.stat.unipd.it/SN
Packaged: Mon Jan 16 14:11:22 2006; aa

## sn 0.3.4a

=== Makefile ===

# Check config.h for system-specific vars.
# You MUST edit the following.  Make sure there are no leading or
# trailing spaces around the values you change:

## Enable compression? Yes: specify LIBZ as "-lz" or use path, e.g.:
ZLIB =-lz
## or (if you prefer it static):
#ZLIB =/usr/lib/libz.a
## No: Leave ZLIB undefined.
#ZLIB =
## Where the news spool will be, e.g.: SNROOT=/var/spool/news
SNROOT =/home/patrik/spool/news
## Where to install the executables, e.g.: BINDIR=/usr/local/sbin
BINDIR =/home/patrik/sn/bin
## Where to install the man pages, e.g.: MANDIR=/usr/local/man
MANDIR =/home/patrik/sn/man
## Where to send mail for the admin if neither the NEWSMASTER nor
## the LOGNAME environment variable is set
DEFAULT_ADMIN_EMAIL =newsmaster

#
# OS-specific settings. Uncomment only one section below.
#

## For Linux:
INSTALL =install
LIBS =-L./lib -lstuff

## For Solaris:
#INSTALL =ginstall
#LIBS =-L./lib -lstuff -lxnet

## For FreeBSD:
#INSTALL =ginstall
#LIBS =-L./lib -lstuff

#
# Stuff you probably won't need to edit.
#

CC =gcc
LD =gcc

#
# You can stop editing here.
#

VERSION =0.3.4a
AOBJS =art.o cache.o group.o times.o dh_find.o dhash.o \
 allocate.o newsgroup.o hostname.o \
 store.o parameters.o args.o body.o unfold.o path.o \
 addr.o valid.o key.o field.o
OBJS =$(AOBJS) snscan.o snprimedb.o sndumpdb.o snntpd.o list.o \
 post.o commands.o snexpire.o \
 snmail.o snget.o
BINS =snprimedb snntpd snfetch snexpire snsend \
 snmail snget sngetd snscan sndumpdb \
 snnewgroup sndelgroup lockf snsplit
SCRIPTS =dot-outgoing.ex HELLO POST
PROGS =$(BINS) $(SCRIPTS)
MANS =sn.8 sncat.8 sndelgroup.8 sndumpdb.8 snexpire.8 \
snfetch.8 snget.8 snmail.8 snnewgroup.8 snntpd.8 \
snprimedb.8 snscan.8 sncancel.8 snsend.8 snstore.8 \
sngetd.8 snsplit.8

all: cc-flags $(OBJS) $(AOBJS) libs $(PROGS) sed-cmd $(MANS) $(SCRIPTS)
cc-flags:
	echo ' -g -Wall -pedantic -O' >$@.t
	echo ' -I./lib' >>$@.t
	echo ' -DVERSION="$(VERSION)"' >>$@.t
	echo ' -DSNROOT="$(SNROOT)"' >>$@.t
	echo ' -DBINDIR="$(BINDIR)"' >>$@.t
	-[ 'x$(ZLIB)' = x ] || echo ' -DUSE_ZLIB' >>$@.t
	mv $@.t $@
sed-cmd:
	echo 's,!!SNROOT!!,$(SNROOT),g' >$@.t
	echo 's,!!BINDIR!!,$(BINDIR),g' >>$@.t
	echo 's,!!VERSION!!,$(VERSION),g' >>$@.t
	echo 's,!!DEFAULT_ADMIN_EMAIL!!,$(DEFAULT_ADMIN_EMAIL),g' >>$@.t
	bash=`which bash`; echo "s,!!BASH!!,$${bash:-/bin/sh},g" >>$@.t
	mv $@.t $@

libs: sn.a lib/libstuff.a
lib/libstuff.a:
	cd lib; make all
sn.a: $(AOBJS)
	ar rc $@ $^
	ranlib $@

snsplit: snsplit.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
snscan: snscan.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS) $(ZLIB)
sncat: snscan
	ln -s snscan sncat
sncancel: snscan
	ln -s snscan sncancel
snprimedb: snprimedb.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
sndumpdb: sndumpdb.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
snntpd: snntpd.o post.o commands.o list.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS) $(ZLIB)
snsend: snsend.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS) $(ZLIB)
snstore: snsend
	ln -s snsend snstore
snfetch: snfetch.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
snexpire: snexpire.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
snmail: snmail.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
snget: snget.o get.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
sngetd: sngetd.o get.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
snnewgroup: snnewgroup.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
sndelgroup: sndelgroup.o sn.a
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
lockf: lockf.o
	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)

%: %.in sed-cmd
	sed -f sed-cmd $< >$@
	read magic <$@; case $$magic in "#!"*) chmod 755 $@ ;; esac

%.o: %.c cc-flags
	$(CC) -c `cat cc-flags` $< -o $@

clean:
	rm -f *.a *.o $(PROGS) $(SCRIPTS) a.out core \
	*.1 *.5 *.8 *.ex cc-flags* sed-cmd* gmon.out
	cd lib; make clean

strip: $(BINS)
	strip $^

install: all $(SNROOT) $(BINDIR) $(MANDIR)/man8
	$(INSTALL) $(PROGS) $(BINDIR)
	$(INSTALL) *.8 $(MANDIR)/man8
	-cd $(BINDIR); rm -f sncat; ln -s snscan sncat
	-cd $(BINDIR); rm -f sncancel; ln -s snscan sncancel
	-cd $(BINDIR); rm -f snstore; ln -s snsend snstore

spoolclean:
	@echo -n "make $@ will wipe out your news spool!  Sure? [y/n] "
	@read ans; case "$$ans" in "y") : ;; *) echo "Not cleaning"; exit 1 ;; esac
	rm -f $(SNROOT)/*/[0123456789]* $(SNROOT)/*/.times
	rm -f $(SNROOT)/{.table,.chain,.newsgroup}
	for i in $(SNROOT)/*; do echo 0 >$$i/.serial; done
	-./snprimedb -i

echo-snroot:
	@echo $(SNROOT)
echo-bindir:
	@echo $(BINDIR)

_dep: Makefile cc-flags
	(sed '/^## DO NOT REMOVE ##/q' Makefile; echo; for i in $(OBJS); \
	do $(CC) -MM -MG `cat cc-flags` `basename $$i .o`.c; done) >.dep
	mv .dep Makefile

## DO NOT REMOVE ##

art.o: art.c config.h art.h artfile.h cache.h
cache.o: cache.c cache.h
group.o: group.c config.h cache.h group.h artfile.h
times.o: times.c config.h times.h cache.h
dh_find.o: dh_find.c config.h dhash.h allocate.h newsgroup.h
dhash.o: dhash.c config.h allocate.h dhash.h newsgroup.h
allocate.o: allocate.c config.h allocate.h
newsgroup.o: newsgroup.c config.h
hostname.o: hostname.c config.h
store.o: store.c config.h times.h art.h artfile.h cache.h group.h \
 body.h
parameters.o: parameters.c
args.o: args.c
body.o: body.c art.h
unfold.o: unfold.c
path.o: path.c
addr.o: addr.c addr.h
valid.o: valid.c config.h parameters.h
key.o: key.c key.h
field.o: field.c
snscan.o: snscan.c config.h artfile.h art.h group.h dhash.h hostname.h \
 parameters.h times.h body.h
snprimedb.o: snprimedb.c config.h dhash.h parameters.h
sndumpdb.o: sndumpdb.c config.h allocate.h newsgroup.h dhash.h \
 parameters.h
snntpd.o: snntpd.c config.h art.h dhash.h group.h hostname.h \
 parameters.h args.h lib/readln.h snntpd.h valid.h key.h
list.o: list.c config.h art.h group.h args.h lib/readln.h snntpd.h \
 key.h
post.o: post.c snntpd.h args.h lib/readln.h unfold.h
commands.o: commands.c config.h times.h dhash.h art.h group.h args.h \
 lib/readln.h body.h snntpd.h key.h
snexpire.o: snexpire.c config.h art.h group.h dhash.h times.h \
 parameters.h valid.h
snmail.o: snmail.c config.h parameters.h hostname.h unfold.h path.h \
 addr.h field.h
snget.o: snget.c config.h get.h parameters.h path.h valid.h

=== lib/Makefile ===
all: stuff.a libstuff.a

stuff.a:
	set -e; for i in *.c; \
	  do cc -c -O $$i -o `basename $$i .c`.o; done
	ar rc stuff.a *.o
	ranlib stuff.a
libstuff.a: stuff.a
	ln -s stuff.a libstuff.a
clean:
	rm -f *.o *.a

## sn 0.3.6

=== Makefile ===
--- 
+++ 
@@ -9,12 +9,15 @@
 #ZLIB =/usr/lib/libz.a
 ## No: Leave ZLIB undefined.
 #ZLIB =
-## Where the news spool will be, e.g.: SNROOT=/var/spool/news
-SNROOT =/home/patrik/spool/news
-## Where to install the executables, e.g.: BINDIR=/usr/local/sbin
-BINDIR =/home/patrik/sn/bin
-## Where to install the man pages, e.g.: MANDIR=/usr/local/man
-MANDIR =/home/patrik/sn/man
+
+## Where to install the executables and the man pages
+PREFIX =/usr/local
+#PREFIX =/home/patrik/stow/sn-current
+
+## Where the news spool will be
+SNROOT =/var/spool/news
+#SNROOT =/home/patrik/spool/news
+
 ## Where to send mail for the admin if neither the NEWSMASTER nor
 ## the LOGNAME environment variable is set
 DEFAULT_ADMIN_EMAIL =newsmaster
@@ -42,11 +45,14 @@
 CC =gcc
 LD =gcc
 
+BINDIR =$(PREFIX)/sbin
+MANDIR =$(PREFIX)/man
+
 #
 # You can stop editing here.
 #
 
-VERSION =0.3.4a
+VERSION =0.3.6
 AOBJS =art.o cache.o group.o times.o dh_find.o dhash.o \
  allocate.o newsgroup.o hostname.o \
  store.o parameters.o args.o body.o unfold.o path.o \
@@ -78,12 +84,12 @@
 	echo 's,!!BINDIR!!,$(BINDIR),g' >>$@.t
 	echo 's,!!VERSION!!,$(VERSION),g' >>$@.t
 	echo 's,!!DEFAULT_ADMIN_EMAIL!!,$(DEFAULT_ADMIN_EMAIL),g' >>$@.t
-	bash=`which bash`; echo "s,!!BASH!!,$${bash:-/bin/sh},g" >>$@.t
+	bash=`which bash`; echo "s,!!BASH!!,$${bash:-/bin/bash},g" >>$@.t
 	mv $@.t $@
 
 libs: sn.a lib/libstuff.a
 lib/libstuff.a:
-	cd lib; make all
+	cd lib; $(MAKE) all CC=$(CC)
 sn.a: $(AOBJS)
 	ar rc $@ $^
 	ranlib $@
@@ -133,12 +139,12 @@
 clean:
 	rm -f *.a *.o $(PROGS) $(SCRIPTS) a.out core \
 	*.1 *.5 *.8 *.ex cc-flags* sed-cmd* gmon.out
-	cd lib; make clean
+	cd lib; $(MAKE) clean
 
 strip: $(BINS)
 	strip $^
 
-install: all $(SNROOT) $(BINDIR) $(MANDIR)/man8
+install: all #$(SNROOT) $(BINDIR) $(MANDIR)/man8 # commented out so make -n install works without the dirs
 	$(INSTALL) $(PROGS) $(BINDIR)
 	$(INSTALL) *.8 $(MANDIR)/man8
 	-cd $(BINDIR); rm -f sncat; ln -s snscan sncat

## sn 0.3.8

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 #INSTALL =ginstall
 #LIBS =-L./lib -lstuff -lxnet
 
-## For FreeBSD:
+## For FreeBSD / Mac OS X:
 #INSTALL =ginstall
 #LIBS =-L./lib -lstuff
 
@@ -52,7 +52,7 @@
 # You can stop editing here.
 #
 
-VERSION =0.3.6
+VERSION =0.3.8
 AOBJS =art.o cache.o group.o times.o dh_find.o dhash.o \
  allocate.o newsgroup.o hostname.o \
  store.o parameters.o args.o body.o unfold.o path.o \
@@ -62,8 +62,8 @@
  snmail.o snget.o
 BINS =snprimedb snntpd snfetch snexpire snsend \
  snmail snget sngetd snscan sndumpdb \
- snnewgroup sndelgroup lockf snsplit
-SCRIPTS =dot-outgoing.ex HELLO POST
+ snnewgroup sndelgroup snlockf snsplit
+SCRIPTS =dot-outgoing.ex SNHELLO SNPOST
 PROGS =$(BINS) $(SCRIPTS)
 MANS =sn.8 sncat.8 sndelgroup.8 sndumpdb.8 snexpire.8 \
 snfetch.8 snget.8 snmail.8 snnewgroup.8 snntpd.8 \
@@ -126,7 +126,7 @@
 	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
 sndelgroup: sndelgroup.o sn.a
 	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
-lockf: lockf.o
+snlockf: snlockf.o
 	$(LD) `cat cc-flags` $^ -o $@ $(LIBS)
 
 %: %.in sed-cmd

=== lib/Makefile ===
all: stuff.a libstuff.a

stuff.a:
	set -e; for i in *.c; \
	  do $(CC) -c -O $$i -o `basename $$i .c`.o; done
	ar rc stuff.a *.o
	ranlib stuff.a
libstuff.a: stuff.a
	ln -s stuff.a libstuff.a
clean:
	rm -f *.o *.a

=== debian/changelog ===
sn (0.3.8-12) unstable; urgency=medium

  * Add snnewsq.8 man page file to debian/ directory.
  * Add 'debian/snnewsq.8' to the debian/sn.manpages file.
  * Changes to the debian/sn.lintian-overrides file:
    + Correct the spelling for the upstream documention lintian warning.
    + Add override for manpage-has-errors-from-man lintian issue on the
      snexpire.8 man page.
  * Add Debian created 'snnewsq' script to the debian/ directory.
  * Rename the file 'debian/config' to be 'debian/sn.config' and add the
    command line 'set -e' to the beginning of the file.

 -- Robert James Clay <jame@rocasa.us>  Mon, 29 Oct 2018 01:00:06 -0400

sn (0.3.8-11) unstable; urgency=medium

  * New Maintainer. (Closes: #910567)
  * Changes in debian/rules:
    + Add 'build-arch' and 'build-indep' targets.
    + Remove trailing whitespace at line 17 of the file.
    + Explicitly add 'dh_install' to the binary-arch target.
    + Explicitly add 'dh_lintian' to the binary-arch target.
    + Use 'dh_prep' instead of 'dh_clean -k' in install target.
    + Removed lines related to the lintian overrides as no longer needed.
  * Install 'snnewsq' script using the debian/sn.install file.
  * Replace 'exim' with 'default-mta' as a Depends in debian/control.
  * Add '1-Makefile.patch' and 'series' files to a debian/patches/ directory.
  * Remove invalid '--group' option from the update-inetd command line in the
    debian/postrm script. (Closes: #909928)
  * Ran 'wrap-and-sort' on package files which resulted in changes to the files
    debian/control, debian/dirs, & debian/docs.
  * Set '3.0 (quilt)' as the package source format.
  * Add a debian/TODO file to the package sources.
  * Change debhelper version setting from '5.0.0' to '10'.
  * Add 'Vcs-Browser' & 'Vcs-Git' settings to debian/control.
  * Changes to debian/sn.lintian-overrides:
    + Add item regarding a manpage related lintian warning.
    + Add 'sn binary:' to the lines in the file in order to correct the
      formatting of it and also added a comment to the file.
    + Rename 'debian/lintian-overrides' as 'debian/sn.lintian-overrides'.
  * Remove debian/source.lintian-overrides' as it is not currently needed.

 -- Robert James Clay <jame@rocasa.us>  Sat, 27 Oct 2018 19:33:14 -0400

sn (0.3.8-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * New debconf translation:
    - Danish, Joe Hansen (Closes: #656735)
    - Polish, Michał Kułach (Closes: #685432)
    - Slovak, Slavko (Closes: #685547)
    - Brazilian Portuguese, Adriano Rafael Gomes (Closes: #685759)

 -- David Prévot <taffit@debian.org>  Fri, 24 Aug 2012 17:05:41 -0400

sn (0.3.8-10) unstable; urgency=low

  * Updated Vietnamese debconf templates, thanks to Clytie Siddall
    (Closes: #513371)
  * Added Japanese debconf templates, thanks to Hideki Yamane (Closes:
    #558049)
  * Bumped Standards-Version
  * Added some #include statements to avoid compiler warnings about
    implicit declaration.

 -- Hilko Bengen <bengen@debian.org>  Sun, 13 Dec 2009 16:01:16 +0100

sn (0.3.8-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #491957
    - Basque. Closes: #503224
    - Italian. Closes: #503366

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Oct 2008 08:10:55 +0100

sn (0.3.8-9) unstable; urgency=low

  * Fix two bashisms, thanks to Manuel Prinz (Closes: #486057)
  * Bump standards version to 3.8.0.
  * Fix dependencies (mailx, mail-transport-agent)

 -- Hilko Bengen <bengen@debian.org>  Thu, 03 Jul 2008 23:09:05 +0200

sn (0.3.8-8) unstable; urgency=low

  * New maintainer (Closes: #380422)
  * Fixed lowercased formatting directive snexpire.8. Thanks, lintian!
  * Moved spool cleanup code to example script (Closes: #400663)

 -- Hilko Bengen <bengen@debian.org>  Thu, 08 May 2008 00:52:52 +0200

sn (0.3.8-7) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group.
  * Acknowledge NMUs.
  * Move DH_COMPAT to debian/compat and set to 5.
  * Debconf traslations:
    + Spanish updated. (Closes: #413783).
    + Russion updated. (Closes: #414084).
    + Portuguese translation. (Closes: #415531).
    + Dutch translation. (Closes: #450969).
  * Add depends for openbsd-inetd | inet-superserver.
  * Convert copyright file to UTF-8.
  * Remove unused commands from rules.
  * Bump debhelper build-dep to 5.
  * Bump standards version to 3.7.3.

 -- Barry deFreese <bddebian@comcast.net>  Thu, 24 Jan 2008 07:38:28 -0500

sn (0.3.8-6.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Debconf translations:
    - French updated. Closes: #385471
    - Czech updated. Closes: #389187

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Jan 2007 23:27:47 +0100

sn (0.3.8-6) unstable; urgency=low

  * Check for the existence of update-inetd in postrm (Closes: 398542)
    Thanks to Andreas Henriksson for the patch.
  * Updated German translation by Erik Schanze (Closes: 399272)


 -- Chris Niekel <chris@niekel.net>  Thu, 16 Nov 2006 09:39:59 +0100

sn (0.3.8-5.1) unstable; urgency=low

  * NMU
  * /etc/news/sn/debian-config no longer a conffile (Closes: 386620)

 -- Florian M. Weps <fmw@debian.org>  Tue, 10 Oct 2006 16:46:31 +0200

sn (0.3.8-5) unstable; urgency=low

  * Expiretime was doubly defined, in /etc/cron.daily/sn and debian-config.
    Remove it from the second. (Closes: #380240)
  * Add Vietnamese translation, thanks to Clytie Siddall (Closes: #318600)
  * Add Swedish translation, thanks to Daniel Nylander (Closes: #336902)
  * Fix lintian warnings whenever possible.
  * If newsspool is empty, cron.daily generates an error. Prevent that.
    (reported in ubuntu).
  * Upgrade to policy 3.7.2, no changes made based on the checklist.

 -- Chris Niekel <chris@niekel.net>  Sat, 19 Aug 2006 21:31:16 +0200

sn (0.3.8-4) unstable; urgency=low

  * Add Czech translation, thanks to Miroslav Kure (Closes: #298321)


=== debian/control ===
Source: sn
Section: news
Priority: optional
Maintainer: Robert James Clay <jame@rocasa.us>
Build-Depends: debhelper (>= 10), zlib1g-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/sn
Vcs-Git: https://salsa.debian.org/debian/sn.git

Package: sn
Architecture: any
Provides: news-transport-system
Conflicts: news-transport-system
Depends: ed,
         default-mta | mail-transport-agent,
         heirloom-mailx | mailx,
         netbase,
         openbsd-inetd | inet-superserver,
         psmisc,
         tcpd,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Small NNTP server for leaf sites
 sn is a small news system for small sites serving perhaps a few
 dozen newsgroups, and with a slow connection to the internet.
 It is similar to leafnode (ftp.troll.no, by Arnt Gulbrandsen).
 The target user is a home or SOHO with a single modem connection
 to the Internet, maybe running IP masq or similar, and serving a
 few workstations.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sn
	dh_installppp
	ln -s snntpd.8.gz debian/sn/usr/share/man/man8/snntpd.bin.8.gz


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdebconf
	dh_installdocs
	chmod 755 debian/regenerate-indices
	dh_installexamples dot-outgoing.ex debian/regenerate-indices
	dh_installinit
	dh_installcron
	dh_installman
	dh_installchangelogs CHANGES
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch clean1

=== debian/watch ===
# watch control file for uscan
# Run 'uscan --verbose' in the top directory.

version=2

http://www.iki.fi/patrik/sn/files/sn-(.*).tar.(gz|bz2)  debian uupdate

## sn 0.4-0

=== DESCRIPTION ===
Package: sn
Version: 0.4-0
Date: 2006-04-11
Title: The skew-normal and skew-t distributions
Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 2.2.0), mnormt
Description: Functions for manipulating skew-normal and skew-t probability 
  distributions, and for fitting them to data, in the scalar and in the 
  multivariate case.
License: GPL Version 2 or later.
URL: http://azzalini.stat.unipd.it/SN
Packaged: Tue Apr 11 09:22:48 2006; aa

## sn 0.4-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 0.4-0
-Date: 2006-04-11
+Version: 0.4-1
+Date: 2006-09-29
 Title: The skew-normal and skew-t distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -10,4 +10,4 @@
   multivariate case.
 License: GPL Version 2 or later.
 URL: http://azzalini.stat.unipd.it/SN
-Packaged: Tue Apr 11 09:22:48 2006; aa
+Packaged: Mon Oct  2 12:21:49 2006; aa

## sn 0.4-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 0.4-1
-Date: 2006-09-29
+Version: 0.4-2
+Date: 2006-10-26
 Title: The skew-normal and skew-t distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -10,4 +10,4 @@
   multivariate case.
 License: GPL Version 2 or later.
 URL: http://azzalini.stat.unipd.it/SN
-Packaged: Mon Oct  2 12:21:49 2006; aa
+Packaged: Thu Oct 26 17:34:05 2006; aa

## sn 0.4-3

=== DESCRIPTION ===
Package: sn
Version: 0.4-3
Date: 2006-10-06
Title: The skew-normal and skew-t distributions
Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 2.2.0), mnormt
Description: Functions for manipulating skew-normal and skew-t probability 
  distributions, and for fitting them to data, in the scalar and in the 
  multivariate case.
Encoding: latin1
License: GPL-2
URL: http://azzalini.stat.unipd.it/SN
Packaged: Sat Oct  6 16:57:57 2007; aa

## sn 0.4-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 0.4-3
-Date: 2006-10-06
+Version: 0.4-5
+Date: 2008-07-29
 Title: The skew-normal and skew-t distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -11,4 +11,4 @@
 Encoding: latin1
 License: GPL-2
 URL: http://azzalini.stat.unipd.it/SN
-Packaged: Sat Oct  6 16:57:57 2007; aa
+Packaged: Tue Jul 29 12:35:43 2008; aa

## sn 0.4-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 0.4-5
-Date: 2008-07-29
+Version: 0.4-6
+Date: 2008-09-15
 Title: The skew-normal and skew-t distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -11,4 +11,4 @@
 Encoding: latin1
 License: GPL-2
 URL: http://azzalini.stat.unipd.it/SN
-Packaged: Tue Jul 29 12:35:43 2008; aa
+Packaged: Sun Sep 14 15:52:58 2008; aa

## sn 0.4-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 0.4-6
-Date: 2008-09-15
+Version: 0.4-8
+Date: 2008-11-19
 Title: The skew-normal and skew-t distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -11,4 +11,4 @@
 Encoding: latin1
 License: GPL-2
 URL: http://azzalini.stat.unipd.it/SN
-Packaged: Sun Sep 14 15:52:58 2008; aa
+Packaged: Wed Nov 19 17:00:03 2008; aa

## sn 0.4-10

=== DESCRIPTION ===
Package: sn
Version: 0.4-10
Date: 2008-12-22
Title: The skew-normal and skew-t distributions
Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 2.2.0), mnormt (>= 1.3-1)
Description: Functions for manipulating skew-normal and skew-t probability 
  distributions, and for fitting them to data, in the scalar and in the 
  multivariate case.
Encoding: latin1
License: GPL-2
URL: http://azzalini.stat.unipd.it/SN
Packaged: Mon Dec 22 11:05:46 2008; aa

## sn 0.4-11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 0.4-10
-Date: 2008-12-22
+Version: 0.4-11
+Date: 2009-01-28
 Title: The skew-normal and skew-t distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -11,4 +11,4 @@
 Encoding: latin1
 License: GPL-2
 URL: http://azzalini.stat.unipd.it/SN
-Packaged: Mon Dec 22 11:05:46 2008; aa
+Packaged: Fri Jan 30 14:31:10 2009; aa

## sn 0.4-12

=== DESCRIPTION ===
Package: sn
Version: 0.4-12
Date: 2009-03-21
Title: The skew-normal and skew-t distributions
Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 2.2.0), mnormt (>= 1.3-1)
Description: Functions for manipulating skew-normal and skew-t
        probability distributions, and for fitting them to data, in the
        scalar and in the multivariate case.
Encoding: latin1
License: GPL-2
URL: http://azzalini.stat.unipd.it/SN
Packaged: Sat Mar 21 17:36:27 2009; aa
Repository: CRAN
Date/Publication: 2009-03-22 17:20:37

## sn 0.4-14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 0.4-12
-Date: 2009-03-21
+Version: 0.4-14
+Date: 2010-01-16
 Title: The skew-normal and skew-t distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -11,6 +11,6 @@
 Encoding: latin1
 License: GPL-2
 URL: http://azzalini.stat.unipd.it/SN
-Packaged: Sat Mar 21 17:36:27 2009; aa
+Packaged: 2010-01-16 17:15:05 UTC; aa
 Repository: CRAN
-Date/Publication: 2009-03-22 17:20:37
+Date/Publication: 2010-01-17 10:52:52

## sn 0.4-16

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 0.4-14
-Date: 2010-01-16
+Version: 0.4-16
+Date: 2010-08-30
 Title: The skew-normal and skew-t distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -11,6 +11,6 @@
 Encoding: latin1
 License: GPL-2
 URL: http://azzalini.stat.unipd.it/SN
-Packaged: 2010-01-16 17:15:05 UTC; aa
+Packaged: 2010-08-30 11:01:31 UTC; aa
 Repository: CRAN
-Date/Publication: 2010-01-17 10:52:52
+Date/Publication: 2010-08-30 12:09:30

## sn 0.4-18

=== DESCRIPTION ===
Package: sn
Version: 0.4-18
Date: 2013-05-01
Title: The skew-normal and skew-t distributions
Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 2.2.0), mnormt (>= 1.4-3)
Suggests: sm
Description: Functions for manipulating skew-normal and skew-t
        probability distributions, and for fitting them to data, in the
        scalar and in the multivariate case.
Encoding: latin1
License: GPL-2
URL: http://azzalini.stat.unipd.it/SN
Packaged: 2013-05-01 14:24:11 UTC; aa
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-05-01 17:28:40

## sn 0.22

=== DESCRIPTION ===
Package: sn
Version: 0.22
Date: 2000/09/15
Title: The skew-normal distribution
Author: Adelchi Azzalini <azzalini@stat.unipd.it>
Depends: R (>= 1.0.1)
Description: Functions for manipulating skew-normal probability distributions
	and for fitting them to data, in the scalar and the multivariate case.
License: GPL Version 2 or later.
URL: http://www.stat.unipd.it/~azzalini/SN

## sn 0.22-2

=== DESCRIPTION ===
Package: sn
Version: 0.22-2
Date: 2001-05-17
Title: The skew-normal distribution
Author: Adelchi Azzalini <azzalini@stat.unipd.it>
Maintainer: Adelchi Azzalini <azzalini@stat.unipd.it>
Depends: R (>= 1.0.1)
Description: Functions for manipulating skew-normal probability distributions
	and for fitting them to data, in the scalar and the multivariate case.
License: GPL Version 2 or later.
URL: http://azzalini.stat.unipd.it//SN

## sn 0.22.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sn
-Version: 0.22-2
+Version: 0.22.1
 Date: 2001-05-17
 Title: The skew-normal distribution
 Author: Adelchi Azzalini <azzalini@stat.unipd.it>

## sn 0.30

=== DESCRIPTION ===
Package: sn
Version: 0.30
Date: 2002-06-30
Title: The skew-normal and skew-t distributions
Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 1.0.1), mvtnorm
Description: Functions for manipulating skew-normal and skew-t probability 
  distributions, and for fitting them to data, in the scalar and the 
  multivariate case.
License: GPL Version 2 or later.
URL: http://azzalini.stat.unipd.it//SN

## sn 0.32

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 0.30
-Date: 2002-06-30
+Version: 0.32
+Date: 2003-07-14
 Title: The skew-normal and skew-t distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>

## sn 0.32-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 0.32
-Date: 2003-07-14
+Version: 0.32-1
+Date: 2004-02-10
 Title: The skew-normal and skew-t distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>

## sn 0.32-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 0.32-1
-Date: 2004-02-10
+Version: 0.32-2
+Date: 2004-03-13
 Title: The skew-normal and skew-t distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>

## sn 0.33

=== DESCRIPTION ===
Package: sn
Version: 0.33
Date: 2005-04-07
Title: The skew-normal and skew-t distributions
Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 1.0.1), mvtnorm
Description: Functions for manipulating skew-normal and skew-t probability 
  distributions, and for fitting them to data, in the scalar and in the 
  multivariate case.
License: GPL Version 2 or later.
URL: http://azzalini.stat.unipd.it//SN
Packaged: Tue Apr 12 15:56:37 2005; aa

## sn 1.1-1

=== DESCRIPTION ===
Package: sn
Version: 1.1-1
Date: 2014-10-30
Title: The skew-normal and skew-t distributions
Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 2.15.3), methods, stats4
Imports: mnormt, numDeriv
Description: Define and manipulate probability distributions of the skew-normal 
  family and some related ones (notably the skew-t family) and provide related
  statistical methods for data fitting and diagnostics, in the univariate and 
  the multivariate case.
License: GPL-2 | GPL-3
URL: http://azzalini.stat.unipd.it/SN
Packaged: 2014-10-30 10:00:22 UTC; aa
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-10-30 12:12:41

## sn 1.1-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 1.1-1
-Date: 2014-10-30
+Version: 1.1-2
+Date: 2014-11-30
 Title: The skew-normal and skew-t distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -12,7 +12,7 @@
   the multivariate case.
 License: GPL-2 | GPL-3
 URL: http://azzalini.stat.unipd.it/SN
-Packaged: 2014-10-30 10:00:22 UTC; aa
+Packaged: 2014-11-30 18:15:17 UTC; aa
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2014-10-30 12:12:41
+Date/Publication: 2014-12-01 09:07:19

## sn 1.2-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sn
-Version: 1.1-2
-Date: 2014-11-30
-Title: The skew-normal and skew-t distributions
+Version: 1.2-0
+Date: 2015-03-24
+Title: The Skew-Normal and Skew-t Distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Depends: R (>= 2.15.3), methods, stats4
@@ -12,7 +12,7 @@
   the multivariate case.
 License: GPL-2 | GPL-3
 URL: http://azzalini.stat.unipd.it/SN
-Packaged: 2014-11-30 18:15:17 UTC; aa
 NeedsCompilation: no
+Packaged: 2015-03-25 10:34:41 UTC; aa
 Repository: CRAN
-Date/Publication: 2014-12-01 09:07:19
+Date/Publication: 2015-03-25 12:43:08

## sn 1.2-1

=== DESCRIPTION ===
Package: sn
Version: 1.2-1
Date: 2015-04-28
Title: The Skew-Normal and Skew-t Distributions
Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 2.15.3), methods, stats4
Imports: mnormt, numDeriv
Description: Define and manipulate probability distributions of the skew-normal 
  family and some related ones, notably the skew-t family, and provide related
  statistical methods for data fitting and diagnostics, in the univariate and 
  the multivariate case.
License: GPL-2 | GPL-3
URL: http://azzalini.stat.unipd.it/SN
NeedsCompilation: no
Packaged: 2015-04-28 14:21:39 UTC; aa
Repository: CRAN
Date/Publication: 2015-04-29 11:39:12

## sn 1.2-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 1.2-1
-Date: 2015-04-28
+Version: 1.2-2
+Date: 2015-05-05
 Title: The Skew-Normal and Skew-t Distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -13,6 +13,6 @@
 License: GPL-2 | GPL-3
 URL: http://azzalini.stat.unipd.it/SN
 NeedsCompilation: no
-Packaged: 2015-04-28 14:21:39 UTC; aa
+Packaged: 2015-06-05 10:18:44 UTC; aa
 Repository: CRAN
-Date/Publication: 2015-04-29 11:39:12
+Date/Publication: 2015-06-05 15:22:08

## sn 1.2-3

=== DESCRIPTION ===
Package: sn
Version: 1.2-3
Date: 2015-07-14
Title: The Skew-Normal and Skew-t Distributions
Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 2.15.3), methods, stats4
Imports: mnormt, numDeriv, stats, grDevices, graphics, utils
Description: Define and manipulate probability distributions of the skew-normal 
  family and some related ones, notably the skew-t family, and provide related
  statistical methods for data fitting and diagnostics, in the univariate and 
  the multivariate case.
License: GPL-2 | GPL-3
URL: http://azzalini.stat.unipd.it/SN
NeedsCompilation: no
Packaged: 2015-07-16 16:44:25 UTC; aa
Repository: CRAN
Date/Publication: 2015-07-16 23:15:55

## sn 1.2-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 1.2-3
-Date: 2015-07-14
+Version: 1.2-4
+Date: 2015-08-25
 Title: The Skew-Normal and Skew-t Distributions
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -13,6 +13,6 @@
 License: GPL-2 | GPL-3
 URL: http://azzalini.stat.unipd.it/SN
 NeedsCompilation: no
-Packaged: 2015-07-16 16:44:25 UTC; aa
+Packaged: 2015-08-25 12:23:56 UTC; aa
 Repository: CRAN
-Date/Publication: 2015-07-16 23:15:55
+Date/Publication: 2015-08-25 15:46:07

## sn 1.5-1

=== DESCRIPTION ===
Package: sn
Version: 1.5-1
Date: 2017-11-22
Title: The Skew-Normal and Related Distributions Such as the Skew-t
Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 2.15.3), methods, stats4
Imports: mnormt (>= 1.5-4), numDeriv, stats, grDevices, graphics, utils
Description: Build and manipulate probability distributions of the skew-normal 
  family and some related ones, notably the skew-t family, and provide related
  statistical methods for data fitting and model diagnostics, in the univariate 
  and the multivariate case.
License: GPL-2 | GPL-3
URL: http://azzalini.stat.unipd.it/SN
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2017-11-22 08:20:25 UTC; aa
Repository: CRAN
Date/Publication: 2017-11-23 00:46:23 UTC

## sn 1.5-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 1.5-1
-Date: 2017-11-22
+Version: 1.5-2
+Date: 2018-04-24
 Title: The Skew-Normal and Related Distributions Such as the Skew-t
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -14,6 +14,6 @@
 URL: http://azzalini.stat.unipd.it/SN
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2017-11-22 08:20:25 UTC; aa
+Packaged: 2018-04-24 14:12:05 UTC; aa
 Repository: CRAN
-Date/Publication: 2017-11-23 00:46:23 UTC
+Date/Publication: 2018-04-24 18:05:34 UTC

## sn 1.5-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 1.5-2
-Date: 2018-04-24
+Version: 1.5-4
+Date: 2019-05-09
 Title: The Skew-Normal and Related Distributions Such as the Skew-t
 Author: Adelchi Azzalini <adelchi.azzalini@unipd.it>
 Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
@@ -14,6 +14,6 @@
 URL: http://azzalini.stat.unipd.it/SN
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-04-24 14:12:05 UTC; aa
+Packaged: 2019-05-14 10:28:23 UTC; aa
 Repository: CRAN
-Date/Publication: 2018-04-24 18:05:34 UTC
+Date/Publication: 2019-05-14 14:00:03 UTC

## sn 1.6-0

=== DESCRIPTION ===
Package: sn
Version: 1.6-0
Date: 2020-03-28
Title: The Skew-Normal and Related Distributions Such as the Skew-t
Authors@R: person(given = "Adelchi", family = "Azzalini", 
                  email = "adelchi.azzalini@unipd.it", role = c("aut", "cre"), 
                  comment = c(ORCID = "0000-0002-7583-1269"))
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 2.15.3), methods, stats4
Imports: mnormt (>= 1.5-4), numDeriv, utils, quantreg
Description: Build and manipulate probability distributions of the skew-normal 
  family and some related ones, notably the skew-t family, and provide related
  statistical methods for data fitting and model diagnostics, in the univariate 
  and the multivariate case.
License: GPL-2 | GPL-3
URL: http://azzalini.stat.unipd.it/SN
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-03-28 07:33:15 UTC; aa
Author: Adelchi Azzalini [aut, cre] (<https://orcid.org/0000-0002-7583-1269>)
Repository: CRAN
Date/Publication: 2020-03-28 09:50:02 UTC

## sn 1.6-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 1.6-0
-Date: 2020-03-28
+Version: 1.6-1
+Date: 2020-04-01
 Title: The Skew-Normal and Related Distributions Such as the Skew-t
 Authors@R: person(given = "Adelchi", family = "Azzalini", 
                   email = "adelchi.azzalini@unipd.it", role = c("aut", "cre"), 
@@ -16,7 +16,7 @@
 URL: http://azzalini.stat.unipd.it/SN
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-03-28 07:33:15 UTC; aa
+Packaged: 2020-04-01 17:17:41 UTC; aa
 Author: Adelchi Azzalini [aut, cre] (<https://orcid.org/0000-0002-7583-1269>)
 Repository: CRAN
-Date/Publication: 2020-03-28 09:50:02 UTC
+Date/Publication: 2020-04-01 18:40:03 UTC

## sn 2.0.0

=== DESCRIPTION ===
Package: sn
Version: 2.0.0
Date: 2021-03-28
Title: The Skew-Normal and Related Distributions Such as the Skew-t and
        the SUN
Authors@R: person(given = "Adelchi", family = "Azzalini", 
                  email = "adelchi.azzalini@unipd.it", role = c("aut", "cre"), 
                  comment = c(ORCID = "0000-0002-7583-1269"))
Maintainer: Adelchi Azzalini <adelchi.azzalini@unipd.it>
Depends: R (>= 3.0.0), methods, stats4
Imports: mnormt (>= 2.0.0), numDeriv, utils, quantreg
Suggests: R.rsp
VignetteBuilder: R.rsp
Description: Build and manipulate probability distributions of the skew-normal 
  family and some related ones, notably the skew-t and the SUN families. 
  For the skew-normal and the skew-t distributions, statistical methods are 
  provided for data fitting and model diagnostics, in the univariate and the 
  multivariate case.
License: GPL-2 | GPL-3
URL: http://azzalini.stat.unipd.it/SN/
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-03-28 10:57:25 UTC; aa
Author: Adelchi Azzalini [aut, cre] (<https://orcid.org/0000-0002-7583-1269>)
Repository: CRAN
Date/Publication: 2021-03-28 11:40:02 UTC

## sn 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sn
-Version: 2.0.0
-Date: 2021-03-28
+Version: 2.0.2
+Date: 2022-03-07
 Title: The Skew-Normal and Related Distributions Such as the Skew-t and
         the SUN
 Authors@R: person(given = "Adelchi", family = "Azzalini", 
@@ -20,7 +20,7 @@
 URL: http://azzalini.stat.unipd.it/SN/
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2021-03-28 10:57:25 UTC; aa
+Packaged: 2022-03-08 09:01:47 UTC; aa
 Author: Adelchi Azzalini [aut, cre] (<https://orcid.org/0000-0002-7583-1269>)
 Repository: CRAN
-Date/Publication: 2021-03-28 11:40:02 UTC
+Date/Publication: 2022-03-08 12:20:02 UTC
